#include<iostream>
#include<stdio.h>
#include<math.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
cin.tie(NULL);cout.tie(NULL);
    long long sum=0;
    int i,a,b,c,d,niz[100000];
    cin>>a>>b;
 for(i=0;i<a;i++)
 {
 cin>>niz[i];

                 }
      
  for(i=0;i<b;i++)
  {  
cin>>c>>d;
 sum=sum+max(niz[c-1]+niz[d-1],-niz[c-1]-niz[d-1]);
                  }
                  cout<<sum;
                
    }